Browse Source

travis: enable python3.8; disable dysfunctional 3.6/7-dev

Fabian Peter Hammerle 1 week ago
parent
commit
455ebf82dd
2 changed files with 11 additions and 11 deletions
  1. 1 2
      .travis.yml
  2. 10 9
      setup.py

+ 1 - 2
.travis.yml

@@ -3,9 +3,8 @@ language: python
 python:
 - 3.5
 - 3.6
-- 3.6-dev
 - 3.7
-- 3.7-dev
+- 3.8
 
 # required for python >= 3.7
 dist: xenial

+ 10 - 9
setup.py

@@ -30,15 +30,16 @@ setuptools.setup(
         'vertex',
     ],
     classifiers=[
-        'Development Status :: 3 - Alpha',
-        'Intended Audience :: Healthcare Industry',
-        'Intended Audience :: Science/Research',
-        'Programming Language :: Python :: 3.5',
-        'Programming Language :: Python :: 3.6',
-        'Programming Language :: Python :: 3.7',
-        'Topic :: Scientific/Engineering :: Information Analysis',
-        'Topic :: Scientific/Engineering :: Medical Science Apps.',
-        'Topic :: Utilities',
+        "Development Status :: 3 - Alpha",
+        "Intended Audience :: Healthcare Industry",
+        "Intended Audience :: Science/Research",
+        "Programming Language :: Python :: 3.5",
+        "Programming Language :: Python :: 3.6",
+        "Programming Language :: Python :: 3.7",
+        "Programming Language :: Python :: 3.8",
+        "Topic :: Scientific/Engineering :: Information Analysis",
+        "Topic :: Scientific/Engineering :: Medical Science Apps.",
+        "Topic :: Utilities",
     ],
     packages=setuptools.find_packages(),
     entry_points={